#!/bin/sh
# RUN IN REPO ROOT DIR !!

export IMAGE_BASE="git.pbiernat.io/egommerce/catalog"
export SERVER_IMAGE="$IMAGE_BASE-svc"
export WORKER_IMAGE="$IMAGE_BASE-worker"

TARGET=${1:-latest}

echo $DOCKER_PASSWORD | docker login git.pbiernat.io -u $DOCKER_USERNAME --password-stdin

docker push "$SERVER_IMAGE:$TARGET"
docker push "$WORKER_IMAGE:$TARGET"

# Restart container
curl -X POST http://127.0.0.1:9001/api/webhooks/ea8e9e33-e7e4-4468-99ef-a5485b85fcd3
curl -X POST http://127.0.0.1:9001/api/webhooks/f81e0752-8c36-499f-9aac-2e04534be321
